package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundInfo;
import com.tanpu.fund.entity.generator.FundInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundInfoMapper {
    long countByExample(FundInfoExample example);

    int deleteByExample(FundInfoExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundInfo record);

    int insertOrUpdate(FundInfo record);

    int insertOrUpdateSelective(FundInfo record);

    int insertOrUpdateWithBLOBs(FundInfo record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundInfo record);

    List<FundInfo> selectByExampleWithBLOBs(FundInfoExample example);

    List<FundInfo> selectByExample(FundInfoExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    FundInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundInfo record, @Param("example") FundInfoExample example);

    int updateByExampleWithBLOBs(@Param("record") FundInfo record, @Param("example") FundInfoExample example);

    int updateByExample(@Param("record") FundInfo record, @Param("example") FundInfoExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(FundInfo record);

    int updateByPrimaryKeyWithBLOBs(FundInfo record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(FundInfo record);

    int updateBatch(List<FundInfo> list);

    int batchInsert(@Param("list") List<FundInfo> list);
}